Package com.documentum.fc.client.search

# Interface IDfQueryEvent

public interface IDfQueryEvent
Provides status information about the execution of a query. Events provide feedback on the query execution process such as:

- the progression of query execution for each information source,
- possible errors while retrieving information from an information source,
- stopping and completion status of a query execution.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ACTION`
  ID: Internal Debugging Event.
  `static final int`
  `BROKENADAPTER`
  ERROR SubID: The source associated with the query is mis-configured or and internal error occurred (missing configuration file, parsing error, ...).
  `static final int`
  `CALL`
  ID: The source backend has been contacted.
  `static final int`
  `COMPLETE`
  DONE SubID: (Default) The query is normally completed.
  `static final int`
  `DEFAULT`
  Default subID value for all Events ID.
  `static final int`
  `DISCARDED`
  FILTERED SubID: Some results were discarded because they didn't match the query constraints.
  `static final int`
  `DONE`
  ID: The action is over.
  `static final int`
  `ERROR`
  ID: An error occured during the execution of the query.
  `static final int`
  `EXPIRY`
  ERROR SubID: The execution took too much time and was stopped.
  `static final int`
  `EXT_SOURCE_UNAVAILABLE`
  ERROR SubID: Cannot connect to the external source server.
  `static final int`
  `FACET_DEFINITION_ERROR`
  There is a problem with one or several facet definitions defined in the query.
  `static final int`
  `FACET_RETRIEVED`
  ID: The facets have been retrieved.
  `static final int`
  `FACETS_RESULTS_TRUNCATED`
  ID: The number of results used to compute facets is not the entire result set.
  `static final int`
  `FETCH`
  ID: Some data is being fetched from the backend source.
  `static final int`
  `FILTERED`
  ID: Some results from the sources have been filtered.
  `static final int`
  `FOUND`
  ID: Some results have been extracted from the backend returned data.
  `static final int`
  `FULLTEXT_ISSUE`
  ERROR SubID: There was an error with the full-text search.
  `static final int`
  `HIT_COUNT`
  ID: Total number of results available on the source for the query.
  `static final int`
  `INTERNAL`
  ID: Message about internal working.
  `static final int`
  `LOGINFAILED`
  ERROR SubID: The action could not be processed because the adapter was unable to log-on (that is, wrong login name or password).
  `static final int`
  `NATIVEQUERY`
  INTERNAL SubID: The adapter provides a String representation of the query sent to the source.
  `static final int`
  `NOTCONSTRAINED`
  ERROR SubID: (Default) The query cannot be processed because the query expression is not supported by the source.
  `static final int`
  `OVERLOADED`
  ERROR SubID: The remote source is not available right now, try later.
  `static final int`
  `PARSE`
  ID: The data returned by the backend is being parsed.
  `static final int`
  `QUERY_SCOPE_UNREACHABLE`
  ERROR SubID: Cannot reach at least one query scope, and the query returned 0 result.
  `static final int`
  `QUERY_SYNTAX_NOT_VALID`
  ERROR SubID: The syntax used to express the query is not valid.
  `static final int`
  `RECOVERY`
  INTERNAL SubID: The adapter stepped into recovery mode.
  `static final int`
  `STOPPED`
  DONE SubID: The query was successfully stopped.
  `static final int`
  `TOOMANYRESULTS`
  ERROR SubID: The query would return too many results, try to be more specific.
  `static final int`
  `TRANSLATION`
  ID: to display CLIR translation in monitor history.
  `static final int`
  `TRUNCATED`
  ID: The results have been truncated.
  `static final int`
  `TYPE_NOT_SUPPORTED`
  ERROR SubID: The source does not support the query object type.
  `static final int`
  `UNAVAILABLE`
  ERROR SubID: The source is not available.
  `static final int`
  `UNKNOWN`
  ERROR SubID: There was an uncaught exception during the query processing.
  `static final int`
  `UNREACHABLE`
  ERROR SubID: The action could not be processed because it failed to connect to the source (network problem).
  `static final int`
  `UNSUPPORTED_ATTRIBUTE_ERROR`
  ERROR SubID: A query attribute is not correct or not supported.
  `static final int`
  `WILDCARD_SYNTAX_ERROR`
  ERROR SubID: The syntax used to express a wildcard search is not correct or not supported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DfException`
  `getException()`
  In case of an error, this method may return the actual exception that occurs with the source.
  `int`
  `getId()`
  Gets the identifier of the event.
  `String`
  `getMessage()`
  Gets the definition message of the event.
  `String`
  `getSource()`
  Gets the source of the event(that is the name of the backend that generated this event).
  `int`
  `getSubid()`
  Gets the subidentifier of the event.
  `Date`
  `getTime()`
  Gets the timestamp of the event.

- ## Field Details

  - ### ACTION

    static final int ACTION
    ID: Internal Debugging Event.
    See Also:
      - Constant Field Values

  - ### CALL

    static final int CALL
    ID: The source backend has been contacted.
    See Also:
      - Constant Field Values

  - ### FETCH

    static final int FETCH
    ID: Some data is being fetched from the backend source.
    See Also:
      - Constant Field Values

  - ### PARSE

    static final int PARSE
    ID: The data returned by the backend is being parsed.
    See Also:
      - Constant Field Values

  - ### FOUND

    static final int FOUND
    ID: Some results have been extracted from the backend returned data.
    See Also:
      - Constant Field Values

  - ### DONE

    static final int DONE
    ID: The action is over. See subIDs for refinements of this event.
    See Also:
      - Constant Field Values

  - ### ERROR

    static final int ERROR
    ID: An error occured during the execution of the query.
    See Also:
      - Constant Field Values

  - ### TRANSLATION

    static final int TRANSLATION
    ID: to display CLIR translation in monitor history. The message returned is not localized and should be used for debug purpose only.
    See Also:
      - Constant Field Values

  - ### FILTERED

    static final int FILTERED
    ID: Some results from the sources have been filtered.
    See Also:
      - Constant Field Values

  - ### INTERNAL

    static final int INTERNAL
    ID: Message about internal working. See subIDs for refinements of this event.
    See Also:
      - Constant Field Values

  - ### TRUNCATED

    static final int TRUNCATED
    ID: The results have been truncated.
    See Also:
      - Constant Field Values

  - ### HIT_COUNT

    static final int HIT_COUNT
    ID: Total number of results available on the source for the query.
    See Also:
      - Constant Field Values

  - ### FACETS_RESULTS_TRUNCATED

    static final int FACETS_RESULTS_TRUNCATED
    ID: The number of results used to compute facets is not the entire result set.
    See Also:
      - Constant Field Values

  - ### FACET_RETRIEVED

    static final int FACET_RETRIEVED
    ID: The facets have been retrieved. Applies only to source supporting facets.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Default subID value for all Events ID.
    See Also:
      - Constant Field Values

  - ### COMPLETE

    static final int COMPLETE
    DONE SubID: (Default) The query is normally completed.
    See Also:
      - Constant Field Values

  - ### STOPPED

    static final int STOPPED
    DONE SubID: The query was successfully stopped.
    See Also:
      - Constant Field Values

  - ### NOTCONSTRAINED

    static final int NOTCONSTRAINED
    ERROR SubID: (Default) The query cannot be processed because the query expression is not supported by the source.
    See Also:
      - Constant Field Values

  - ### BROKENADAPTER

    static final int BROKENADAPTER
    ERROR SubID: The source associated with the query is mis-configured or and internal error occurred (missing configuration file, parsing error, ...).
    See Also:
      - Constant Field Values

  - ### UNREACHABLE

    static final int UNREACHABLE
    ERROR SubID: The action could not be processed because it failed to connect to the source (network problem).
    See Also:
      - Constant Field Values

  - ### LOGINFAILED

    static final int LOGINFAILED
    ERROR SubID: The action could not be processed because the adapter was unable to log-on (that is, wrong login name or password).
    See Also:
      - Constant Field Values

  - ### UNKNOWN

    static final int UNKNOWN
    ERROR SubID: There was an uncaught exception during the query processing.
    See Also:
      - Constant Field Values

  - ### EXPIRY

    static final int EXPIRY
    ERROR SubID: The execution took too much time and was stopped.
    See Also:
      - Constant Field Values

  - ### EXT_SOURCE_UNAVAILABLE

    static final int EXT_SOURCE_UNAVAILABLE
    ERROR SubID: Cannot connect to the external source server.
    See Also:
      - Constant Field Values

  - ### UNAVAILABLE

    static final int UNAVAILABLE
    ERROR SubID: The source is not available. It may be temporary down.
    See Also:
      - Constant Field Values

  - ### QUERY_SCOPE_UNREACHABLE

    static final int QUERY_SCOPE_UNREACHABLE
    ERROR SubID: Cannot reach at least one query scope, and the query returned 0 result.
    See Also:
      - Constant Field Values

  - ### TYPE_NOT_SUPPORTED

    static final int TYPE_NOT_SUPPORTED
    ERROR SubID: The source does not support the query object type.
    See Also:
      - Constant Field Values

  - ### OVERLOADED

    static final int OVERLOADED
    ERROR SubID: The remote source is not available right now, try later.
    See Also:
      - Constant Field Values

  - ### TOOMANYRESULTS

    static final int TOOMANYRESULTS
    ERROR SubID: The query would return too many results, try to be more specific.
    See Also:
      - Constant Field Values

  - ### FULLTEXT_ISSUE

    static final int FULLTEXT_ISSUE
    ERROR SubID: There was an error with the full-text search.
    See Also:
      - Constant Field Values

  - ### QUERY_SYNTAX_NOT_VALID

    static final int QUERY_SYNTAX_NOT_VALID
    ERROR SubID: The syntax used to express the query is not valid.
    See Also:
      - Constant Field Values

  - ### WILDCARD_SYNTAX_ERROR

    static final int WILDCARD_SYNTAX_ERROR
    ERROR SubID: The syntax used to express a wildcard search is not correct or not supported.
    See Also:
      - Constant Field Values

  - ### UNSUPPORTED_ATTRIBUTE_ERROR

    static final int UNSUPPORTED_ATTRIBUTE_ERROR
    ERROR SubID: A query attribute is not correct or not supported.
    See Also:
      - Constant Field Values

  - ### FACET_DEFINITION_ERROR

    static final int FACET_DEFINITION_ERROR
    There is a problem with one or several facet definitions defined in the query.
    See Also:
      - Constant Field Values

  - ### DISCARDED

    static final int DISCARDED
    FILTERED SubID: Some results were discarded because they didn't match the query constraints.
    See Also:
      - Constant Field Values

  - ### RECOVERY

    static final int RECOVERY
    INTERNAL SubID: The adapter stepped into recovery mode.
    See Also:
      - Constant Field Values

  - ### NATIVEQUERY

    static final int NATIVEQUERY
    INTERNAL SubID: The adapter provides a String representation of the query sent to the source.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getId

    int getId()
    Gets the identifier of the event.
    Returns:
      An integer defining the type of the event.

  - ### getSubid

    int getSubid()
    Gets the subidentifier of the event.
    Returns:
      An integer defining the subtype of the event.

  - ### getSource

    String getSource()
    Gets the source of the event(that is the name of the backend that generated this event).
    Returns:
      A string containing the name of the source.

  - ### getMessage

    String getMessage()
    Gets the definition message of the event.
    Returns:
      A string containing the explanation for the event.

  - ### getTime

    Date getTime()
    Gets the timestamp of the event.
    Returns:
      A Date representing the timestamp.

  - ### getException

    DfException getException()
    In case of an error, this method may return the actual exception that occurs with the source.
    Returns:
      A DfException or null if there is no error or no more detail on an error.